MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001337VCMIAI - Battlespublic2013-07-17 07:262016-11-11 08:23
ReporterWarmonger 
Assigned ToAVS 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target VersionFixed in Version0.98b 
Summary0001337: Berserk spell is broken
DescriptionUnit stays still and takes no action.

Actually, it's the issue with battle callback in general. There is no easy way to determine which other creature is the nearest. The best solution would be to reuse part of AI code, but that's a question to Tow, who uses it for Master thesis.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001549closedSXX Spell Berserk 

-  Notes
(0005168)
SXX (administrator)
2014-11-26 01:30

Added duplicate. Also confirm it for 0.97.
(0005687)
AVS (administrator)
2015-04-03 02:29

should be fixed in https://github.com/vcmi/vcmi/commit/e42ca15a0d4dc6b4422695efce4c9fd38c385364 [^]

- Issue History
Date Modified Username Field Change
2013-07-17 07:26 Warmonger New Issue
2013-07-17 07:26 Warmonger Status new => assigned
2013-07-17 07:26 Warmonger Assigned To => Tow
2014-11-26 01:27 SXX Relationship added has duplicate 0001549
2014-11-26 01:30 SXX Note Added: 0005168
2015-02-06 16:59 AVS Assigned To Tow => AVS
2015-04-03 02:29 AVS Note Added: 0005687
2015-04-03 02:29 AVS Status assigned => resolved
2015-04-03 02:29 AVS Fixed in Version => 0.98b
2015-04-03 02:29 AVS Resolution open => fixed
2015-04-03 02:29 AVS Target Version 0.94 =>
2016-11-11 08:23 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean